# Create End User

<table data-header-hidden><thead><tr><th width="74.8046875" align="center"></th><th></th></tr></thead><tbody><tr><td align="center"><mark style="color:blue;"><strong>POST</strong></mark> </td><td>https://api.sfox.com/v1/enterprise/register-account</td></tr></tbody></table>

Create (register) an end user.&#x20;

***

An end user represents a customer of your business. An end user can be either an `individual` (person) or `corporation` (business).

Creating an end user is the first step in onboarding. In this request, you will provide identification information collected from the end user. sFOX will then register an account on behalf of this end user.

{% hint style="info" %}
See our [End User Onboarding & KYC](https://docs.sfox.com/connect/introduction/guides/onboarding) guides for additional details including requirements and examples.

For individual end users, see our [Individuals](https://docs.sfox.com/connect/introduction/guides/onboarding/individuals) guide for details. For businesses, see our [Businesses](https://docs.sfox.com/connect/introduction/guides/onboarding/businesses) guide.
{% endhint %}

***

## Request

### Body Parameters

<table data-full-width="false"><thead><tr><th width="229.85546875" valign="top">Parameter</th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top"><code>account_type</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top"><p>Type of end user. <code>individual</code> for people, <code>corporation</code> for businesses. </p><p><br>Possible values: <code>individual</code>, <code>corporation</code> </p></td></tr><tr><td valign="top"><code>account_role</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top"><p>The primary role of this end user. </p><p><br>Possible values: <code>client</code>, <code>advisor</code></p></td></tr><tr><td valign="top"><code>user_id</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top">Unique ID for this end user defined by you that will serve as the shared identifier for this end user between you and sFOX</td></tr><tr><td valign="top"><code>advisor_user_id</code><br>string</td><td valign="top">The <code>user_id</code> of an existing account with <code>account_role</code> = <code>advisor</code>, if applicable. Defining the <code>advisor_user_id</code> for an account ties this account to the advisor account.</td></tr><tr><td valign="top"><code>first_name</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top">End user's first name.</td></tr><tr><td valign="top"><code>last_name</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top">End user's last name.</td></tr><tr><td valign="top"><code>email</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top">The end user's email address. Must not have leading or trailing spaces and must be <a href="https://datatracker.ietf.org/doc/html/rfc3696">RFC 3696</a> compliant.</td></tr><tr><td valign="top"><code>phone_country_code</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top">The <a href="https://www.iso.org/iso-3166-country-codes.html">ISO 3166-1 alpha-2</a> country code of the phone number. </td></tr><tr><td valign="top"><code>phone_number</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top">The end user's phone number in <a href="https://www.twilio.com/docs/glossary/what-e164">E.164 format</a> (e.g. <code>+14155552671</code>).</td></tr><tr><td valign="top"><code>account_purpose</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top"><p>Primary purpose or use case for the account.</p><p><br>Possible values for <code>account_type</code> = <code>individual</code> :<br><code>investing</code>, <code>trading</code>, <code>buying only</code> , <code>selling only</code>, <code>online purchases</code>, <code>online payments</code>, <code>other</code><br></p><p>Possible values for <code>account_type</code> = <code>corporation</code> :<br><code>treasury management</code>, <code>operating</code>, <code>liquidating crypto assets</code>, <code>investment fund</code>, <code>cross border payments</code>, <code>arbitrage trading</code>, <code>other</code></p></td></tr><tr><td valign="top"><code>source_of_funds</code> <br>string</td><td valign="top"><p>Primary source of end user's funds transferred to their account.<br></p><p>Possible values: <code>employment</code>,  <code>savings</code>,  <code>business_income</code>, <code>investor_capital</code>, <code>investments</code>, <code>property_sale</code>, <code>loans</code>, <code>retirement</code>, <code>trading</code>, <code>mining</code>, <code>airdrops</code>, <code>grants</code>, <code>donations_winnings</code>, <code>inheritance_gifts</code>, <code>other</code></p></td></tr><tr><td valign="top"><code>source_of_funds_other</code><br>string</td><td valign="top"><p>Description of the end user's primary source of funds, if <code>source_of_funds</code> = <code>other</code>. </p><p></p><p><strong>Required if <code>source_of_funds</code> = <code>other</code></strong></p></td></tr><tr><td valign="top"><code>intermediary_status</code><br>boolean</td><td valign="top">Will the end user be receiving or sending funds on behalf of someone other than themselves.</td></tr><tr><td valign="top"><code>expected_transfer_volume</code> <br>string</td><td valign="top"><p>Expected monthly USD notional volume of transfers (sent and received).</p><p><br>Possible values: <code>under_1000</code>, <code>1000_to_9999</code>, <code>10000_to_99999</code>, <code>100000_to_249999</code>, <code>250000_to_999999</code>, <code>1000000_to_9999999</code>, <code>10000000_to_99999999</code>, <code>over_100000000</code></p></td></tr><tr><td valign="top"><code>expected_trade_volume</code> <br>string</td><td valign="top"><p>Expected monthly USD notional volume of trading (buys and sells).</p><p><br>Possible values: <code>under_1000</code>, <code>1000_to_9999</code>, <code>10000_to_99999</code>, <code>100000_to_249999</code>, <code>250000_to_999999</code>, <code>1000000_to_9999999</code>, <code>10000000_to_99999999</code>, <code>over_100000000</code></p></td></tr><tr><td valign="top"><code>individual</code><br><a href="#individual-parameters">object</a></td><td valign="top"><p>The individual's identity information, specified in an <a href="#individual-parameters">Individual object</a>.</p><p><br><strong>Required if <code>account_type</code> = <code>individual</code>.</strong> </p></td></tr><tr><td valign="top"><code>business</code><br><a href="#business-parameters">object</a></td><td valign="top"><p>The business entity and organizational information, specified in a <a href="#business-parameters">Business object</a>.</p><p><br><strong>Required if <code>account_type</code> = <code>corporation</code></strong> </p></td></tr><tr><td valign="top"><code>beneficial_owners</code><br> [<a href="#beneficial-owner-parameters">object</a>]</td><td valign="top"><p>The business' beneficial owners, specified as an array of <a href="#beneficial-owner-parameters">Beneficial Owner objects</a>. </p><p><br><strong>Required if <code>account_type</code> = <code>corporation</code></strong> .</p></td></tr></tbody></table>

#### Individual Parameters

<table data-full-width="false"><thead><tr><th width="239.5625" valign="top">Parameter</th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top"><code>dob</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top">User's date of birth in the format <code>YYYY-MM-DD</code> (<a href="https://datatracker.ietf.org/doc/html/rfc3339#section-5.6">RFC 3339 Section 5.6</a>).</td></tr><tr><td valign="top"><code>residential_country_code</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top">The <a href="https://www.iso.org/iso-3166-country-codes.html">ISO 3166-1 alpha-2</a> country code of the primary residence (e.g. <code>US</code>)</td></tr><tr><td valign="top"><code>residential_address</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top">Street address of primary residence. A string with at least one non-whitespace alphabetical character, with a max length of 80 characters.</td></tr><tr><td valign="top"><code>residential_city</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top">City of primary residence. A string with at least one non-whitespace alphabetical character, with a max length of 100 characters.</td></tr><tr><td valign="top"><code>residential_state</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top"><p>State or province of primary residence. </p><p><br><em>If  <code>residential_country_code</code> = <code>US</code>, must be a valid 2 char state code e.g. <code>CA</code></em></p></td></tr><tr><td valign="top"><code>residential_postal_code</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top"><p>The postal code for the associated <code>residential_address</code>. </p><p></p><p>Between 2 and 10 alphanumeric characters. For US-based addresses this must be 5 numeric digits.</p></td></tr><tr><td valign="top"><code>id_type</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top"><p>Form of identification associated with the id_number below. </p><p><br><em>If <code>residential_country_code</code> &#x3C;> <code>US</code>, must be <code>passport</code>. Else, <code>passport</code> or <code>ssn</code></em></p></td></tr><tr><td valign="top"><code>id_number</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top">Social Security Number or Passport Number of the user’s identification.</td></tr><tr><td valign="top"><code>id_country_code</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top"><p>Issuing country of the identification. </p><p><br><em>If <code>id_type</code> = <code>ssn</code>, must be <code>US</code> .</em></p></td></tr><tr><td valign="top"><code>employment_status</code><br>string</td><td valign="top"><p>The individual's current working status or working relationship with organization(s).</p><p><br>Possible values: <code>full_time_employee</code>, <code>unemployed</code>, <code>retired</code>, <code>student</code>,  <code>self_employed</code>, <code>independent_contractor</code></p></td></tr><tr><td valign="top"><code>industry</code><br>string</td><td valign="top"><p>The industry or sector that the individual primarily or currently works in.</p><p><br>Possible values: <code>agriculture</code>, <code>administrative_support_services</code>, <code>arts_media</code>, <code>consulting</code>, <code>construction</code>, <code>education</code>, <code>entertainment</code>, <code>energy</code>, <code>ecommerce_digital_platforms</code>, <code>financial_services</code>, <code>food_hospitality</code>, <code>government</code>, <code>healthcare</code>, <code>information_media</code>, <code>manufacturing</code>, <code>mining_crypto</code>, <code>mining_extraction</code>, <code>non_profit</code>, <code>professional_services</code>, <code>personal_services</code>, <code>real_estate</code>, <code>retail_trade</code>,  <code>social_services</code>, <code>transportation_warehousing</code>, <code>technology_software</code>, <code>utilities</code>, <code>wholesale_trade</code></p></td></tr><tr><td valign="top"><code>occupation</code><br>string</td><td valign="top"><p>The individual's primary occupation.</p><p><br>Possible values: <code>management_executive</code>, <code>business_financial_operations</code>, <code>computer_mathematical</code>, <code>architecture_engineering</code>, <code>life_physical_social_science</code>, <code>healthcare_practitioners_technical</code>, <code>healthcare_support</code>, <code>legal</code>, <code>education_training_library</code>, <code>arts_design_entertainment_media</code>, <code>community_social_service</code>, <code>protective_service</code>, <code>sales_related</code>, <code>office_administrative_support</code>, <code>food_preparation_serving</code>, <code>personal_care_service</code>, <code>building_grounds_maintenance</code>, <code>construction_extraction</code>, <code>installation_maintenance_repair</code>, <code>production_manufacturing</code>, <code>transportation_material_moving</code>, <code>farming_fishing_forestry</code>, <code>military</code>, <code>student</code>, <code>homemaker_caregiver</code>, <code>unemployed_between_jobs</code>, <code>retired</code></p></td></tr><tr><td valign="top"><code>job_title</code><br>string</td><td valign="top">The individual's current job title or position.</td></tr></tbody></table>

#### Business Parameters

<table data-full-width="false"><thead><tr><th width="239.52734375" valign="top">Parameter</th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top"><code>entity_name</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top">The legal business entity name.</td></tr><tr><td valign="top"><code>incorporation_country</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top">The <a href="https://www.iso.org/iso-3166-country-codes.html">ISO 3166-1 alpha-2</a> country code where the entity was incorporated (e.g. <code>US</code>)</td></tr><tr><td valign="top"><code>incorporation_state</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top"><p>State the entity was incorporated.</p><p><br><em>If  <code>incorporation_country_code</code> = <code>US</code>, must be a valid 2 char U.S. state code (e.g. <code>CA</code>)</em></p></td></tr><tr><td valign="top"><code>organization_type</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top"><p>The type of business organization. </p><p></p><p>Possible values: <code>Trust</code>, <code>Sole Proprietor</code>, <code>LLC</code>, <code>Partnership</code>, <code>Corporation</code>, <code>Other</code></p></td></tr><tr><td valign="top"><code>business_type</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top"><p>The type of business this entity conducts. </p><p></p><p>Possible values: <code>Hedge Fund</code>, <code>Private Equity Fund</code>, <code>Mutual Fund</code>, <code>Proprietary Trading Firm</code>, <code>Personal Investment Company</code>, <code>Individual Retirement Account Holding Company</code>, <code>Money Service Business (MSB)</code>, <code>Financial Institution Brokerage</code>, <code>Agency OTC Brokerage</code>, <code>Principle OTC Brokerage</code>, <code>Retail Brokerage, Robo-Advisor, or FX/CFD Provider</code>, <code>Fund of Funds</code>, <code>Pension Fund</code>, <code>Endowment</code>, <code>Exchange Traded Fund</code>, <code>Fund Administrator</code>, <code>Professional Service Provider (Accounting or Law Firm)</code>, <code>Software Vendor</code>, <code>Platform Provider</code>, <code>Data Aggregator</code>, <code>Charity Organization or Non-profit</code>, <code>Crypto Exchange</code>, <code>Digital Currency Mining Firm</code>, <code>Merchant</code></p></td></tr><tr><td valign="top"><code>registration_number</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top">The business’s TIN (tax identification number) for US businesses or registration number</td></tr><tr><td valign="top"><code>website</code><br>string</td><td valign="top">URL to the business’s website.</td></tr><tr><td valign="top"><code>description</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top">A description of the business.</td></tr><tr><td valign="top"><code>principal_place_country</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top">The <a href="https://www.iso.org/iso-3166-country-codes.html">ISO 3166-1 alpha-2</a> country code of the business’ principal place of business operations (e.g. <code>US</code>).</td></tr><tr><td valign="top"><code>principal_place_state</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top"><p>State or province of the business’ principal place of business operations.</p><p><br><em>If  <code>principal_place_country</code> = <code>US</code>, must be a valid 2 char U.S. state code (e.g. <code>CA</code>)</em></p></td></tr><tr><td valign="top"><code>principal_place_address</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top"><p>Street address of the business’ principal place of business operations. </p><p></p><p>A string with at least one non-whitespace alphabetical character, with a max length of 80 characters.</p></td></tr><tr><td valign="top"><code>principal_place_city</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top"><p>City of the business’ principal place of business operations. </p><p></p><p>A string with at least one non-whitespace alphabetical character, with a max length of 100 characters.</p></td></tr><tr><td valign="top"><code>principal_place_postal_code</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top"><p>The postal code for the associated <code>principal_place_address</code>. </p><p></p><p>Between 2 and 10 alphanumeric characters. For US-based addresses this must be 5 numeric digits.</p></td></tr><tr><td valign="top"><code>incorporation_date</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top">Date that the company was created in the format YYYY-MM-DD (<a href="https://datatracker.ietf.org/doc/html/rfc3339#section-5.6">RFC 3339 Section 5.6</a>).</td></tr><tr><td valign="top"><code>accredited_investor</code> <br><mark style="color:red;">required</mark>, boolean</td><td valign="top">Whether the business qualifies as an accredited investor.</td></tr><tr><td valign="top"><code>non_agent_intermediary</code> <br><mark style="color:red;">required</mark>, boolean</td><td valign="top">Whether the business has is acting as a non-agent intermediary.</td></tr></tbody></table>

#### Beneficial Owner Parameters

<table data-full-width="false"><thead><tr><th width="240.46875" valign="top">Parameter</th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top"><code>first_name</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top">The first name of the beneficial owner.</td></tr><tr><td valign="top"><code>middle_name</code><br>string </td><td valign="top">The middle name of the beneficial owner.</td></tr><tr><td valign="top"><code>last_name</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top">The last name of the beneficial owner.</td></tr><tr><td valign="top"><code>email</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top">The email address of beneficial owner. Must not have leading or trailing spaces and must be <a href="https://datatracker.ietf.org/doc/html/rfc3696">RFC 3696</a> compliant.</td></tr><tr><td valign="top"><code>phone_number</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top">A valid phone number for the beneficial owner in <a href="https://www.twilio.com/docs/glossary/what-e164">E.164 format</a> (e.g. <code>+14155552671</code>).</td></tr><tr><td valign="top"><code>dob</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top">The date of birth of beneficial owner in the format <code>YYYY-MM-DD</code> (<a href="https://datatracker.ietf.org/doc/html/rfc3339#section-5.6">RFC 3339 Section 5.6</a>).</td></tr><tr><td valign="top"><code>address_country_code</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top">The <a href="https://www.iso.org/iso-3166-country-codes.html">ISO 3166-1 alpha-2</a> country code of the owner's primary residence (e.g. <code>US</code>)</td></tr><tr><td valign="top"><code>address_subdivision</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top"><p>An ISO 3166-2 subdivision code of primary residence. </p><p></p><p>Related terms would be "state", "province", "prefecture", "zone", "subdivision", etc.</p><p><br><em>If <code>residential_country_code</code> = <code>US</code>, must be a valid 2 char state code (e.g. <code>CA</code>)</em></p></td></tr><tr><td valign="top"><code>address_street1</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top">Street address of owner's primary residence. A string with at least one non-whitespace alphabetical character, with a max length of 80 characters.</td></tr><tr><td valign="top"><code>address_city</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top">City of the owner's primary residence. A string with at least one non-whitespace alphabetical character, with a max length of 100 characters.</td></tr><tr><td valign="top"><code>address_postal_code</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top">The postal code for the owner's associated address. Between 2 and 10 alphanumeric characters. For US-based addresses this must be 5 numeric digits.</td></tr><tr><td valign="top"><code>id_type</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top"><p>Form of identification associated with the <code>id_number</code> below. <br></p><p>Possible values: <code>ssn</code> (if <code>residential_country_code</code> = <code>US</code>), <code>passport</code></p></td></tr><tr><td valign="top"><code>id_country_code</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top"><p>The <a href="https://www.iso.org/iso-3166-country-codes.html">ISO 3166-1 alpha-2</a> country code of the issuing country of the <code>id_type</code>. </p><p><br><em>If <code>id_type</code> = <code>ssn</code>, must be <code>US</code></em> </p></td></tr><tr><td valign="top"><code>ssn</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top">Social Security Number (SSN) or Passport number of the beneficial owner.</td></tr><tr><td valign="top"><code>employment_status</code><br>string</td><td valign="top"><p>The owner's current working status or working relationship with organization(s).</p><p><br><em>Possible values: <code>full_time_employee</code>, <code>unemployed</code>, <code>retired</code>, <code>student</code>,  <code>self_employed</code>, <code>independent_contractor</code></em></p></td></tr><tr><td valign="top"><code>industry</code><br>string</td><td valign="top"><p>The industry or sector that the owner primarily or currently works in.</p><p><br>Possible values: <code>agriculture</code>, <code>administrative_support_services</code>, <code>arts_media</code>, <code>consulting</code>, <code>construction</code>, <code>education</code>, <code>entertainment</code>, <code>energy</code>, <code>ecommerce_digital_platforms</code>, <code>financial_services</code>, <code>food_hospitality</code>, <code>government</code>, <code>healthcare</code>, <code>information_media</code>, <code>manufacturing</code>, <code>mining_crypto</code>, <code>mining_extraction</code>, <code>non_profit</code>, <code>professional_services</code>, <code>personal_services</code>, <code>real_estate</code>, <code>retail_trade</code>,  <code>social_services</code>, <code>transportation_warehousing</code>, <code>technology_software</code>, <code>utilities</code>, <code>wholesale_trade</code></p></td></tr><tr><td valign="top"><code>occupation</code><br>string</td><td valign="top"><p>The owner's primary occupation.</p><p><br>Possible values: <code>management_executive</code>, <code>business_financial_operations</code>, <code>computer_mathematical</code>, <code>architecture_engineering</code>, <code>life_physical_social_science</code>, <code>healthcare_practitioners_technical</code>, <code>healthcare_support</code>, <code>legal</code>, <code>education_training_library</code>, <code>arts_design_entertainment_media</code>, <code>community_social_service</code>, <code>protective_service</code>, <code>sales_related</code>, <code>office_administrative_support</code>, <code>food_preparation_serving</code>, <code>personal_care_service</code>, <code>building_grounds_maintenance</code>, <code>construction_extraction</code>, <code>installation_maintenance_repair</code>, <code>production_manufacturing</code>, <code>transportation_material_moving</code>, <code>farming_fishing_forestry</code>, <code>military</code>, <code>student</code>, <code>homemaker_caregiver</code>, <code>unemployed_between_jobs</code>, <code>retired</code></p></td></tr><tr><td valign="top"><code>job_title</code><br>string</td><td valign="top">The owner's current job title or position.</td></tr></tbody></table>

### Example Requests

#### Individual End User

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" lineNumbers="true" expandable="true" %}

```bash
#create individual end user
curl --location 'https://api.sfox.com/v1/enterprise/register-account' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer ${ENTERPRISE_API_KEY}' \
--data-raw '{
    "account_type": "individual",
    "account_role": "client",
    "user_id": "individual_customer1",
    "advisor_user_id": "business_customer1",
    "first_name": "Jane",
    "last_name": "Doe",
    "email": "janedoe@example.com",
    "phone_country_code": "US",
    "phone_number": "+19171231234",
    "account_purpose": "investing",
    "source_of_funds": "employment",
    "source_of_funds_other": null,
    "intermediary_status": false,
    "expected_transfer_volume": "250000_to_999999",
    "expected_trade_volume": "250000_to_999999",
    "individual": {
      "dob": "1990-10-05",
      "residential_country_code": "US",
      "residential_address": "123 sFOX Lane",
      "residential_city": "Santa Monica",
      "residential_state": "CA",
      "residential_postal_code": "90403",
      "id_type": "ssn",
      "id_number": "123121234",
      "id_country_code": "US",
      "employment_status": "full_time_employee",
      "industry": "technology_software",
      "occupation": "sales_related",
      "job_title": "Account Executive"
    }
}'
```

{% endcode %}
{% endtab %}

{% tab title="Python" %}
{% code overflow="wrap" lineNumbers="true" expandable="true" %}

```python
#create individual end user
import requests
import json

url = "https://api.sfox.com/v1/enterprise/register-account"

payload = json.dumps({
  "account_type": "individual",
  "account_role": "client",
  "user_id": "individual_customer1",
  "advisor_user_id": "business_customer1",
  "first_name": "Jane",
  "last_name": "Doe",
  "email": "janedoe@example.com",
  "phone_country_code": "US",
  "phone_number": "+19171231234",
  "account_purpose": "investing",
  "source_of_funds": "employment",
  "source_of_funds_other": None,
  "intermediary_status": False,
  "expected_transfer_volume": "250000_to_999999",
  "expected_trade_volume": "250000_to_999999",
  "individual": {
    "dob": "1990-10-05",
    "residential_country_code": "US",
    "residential_address": "123 sFOX Lane",
    "residential_city": "Santa Monica",
    "residential_state": "CA",
    "residential_postal_code": "90403",
    "id_type": "ssn",
    "id_number": "123121234",
    "id_country_code": "US",
    "employment_status": "full_time_employee",
    "industry": "technology_software",
    "occupation": "sales_related",
    "job_title": "Account Executive"
  }
})
headers = {
  'Content-Type': 'application/json',
  'Authorization': 'Bearer ${ENTERPRISE_API_KEY}'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)
```

{% endcode %}
{% endtab %}

{% tab title="Javascript" %}
{% code overflow="wrap" lineNumbers="true" expandable="true" %}

```javascript
//create individual end user
const myHeaders = new Headers();
myHeaders.append("Content-Type", "application/json");
myHeaders.append("Authorization", "Bearer ${ENTERPRISE_API_KEY}");

const raw = JSON.stringify({
  "account_type": "individual",
  "account_role": "client",
  "user_id": "individual_customer1",
  "advisor_user_id": "business_customer1",
  "first_name": "Jane",
  "last_name": "Doe",
  "email": "janedoe@example.com",
  "phone_country_code": "US",
  "phone_number": "+19171231234",
  "account_purpose": "investing",
  "source_of_funds": "employment",
  "source_of_funds_other": null,
  "intermediary_status": false,
  "expected_transfer_volume": "250000_to_999999",
  "expected_trade_volume": "250000_to_999999",
  "individual": {
    "dob": "1990-10-05",
    "residential_country_code": "US",
    "residential_address": "123 sFOX Lane",
    "residential_city": "Santa Monica",
    "residential_state": "CA",
    "residential_postal_code": "90403",
    "id_type": "ssn",
    "id_number": "123121234",
    "id_country_code": "US",
    "employment_status": "full_time_employee",
    "industry": "technology_software",
    "occupation": "sales_related",
    "job_title": "Account Executive"
  }
});

const requestOptions = {
  method: "POST",
  headers: myHeaders,
  body: raw,
  redirect: "follow"
};

fetch("https://api.sfox.com/v1/enterprise/register-account", requestOptions)
  .then((response) => response.text())
  .then((result) => console.log(result))
  .catch((error) => console.error(error));
```

{% endcode %}
{% endtab %}

{% tab title="Go" %}
{% code overflow="wrap" lineNumbers="true" expandable="true" %}

```go
//create individual end user
package main

import (
  "fmt"
  "strings"
  "net/http"
  "io"
)

func main() {

  url := "https://api.sfox.com/v1/enterprise/register-account"
  method := "POST"

  payload := strings.NewReader(`{
    "account_type": "individual",
    "account_role": "client",
    "user_id": "individual_customer1",
    "advisor_user_id": "business_customer1",
    "first_name": "Jane",
    "last_name": "Doe",
    "email": "janedoe@example.com",
    "phone_country_code": "US",
    "phone_number": "+19171231234",
    "account_purpose": "investing",
    "source_of_funds": "employment",
    "source_of_funds_other": null,
    "intermediary_status": false,
    "expected_transfer_volume": "250000_to_999999",
    "expected_trade_volume": "250000_to_999999",
    "individual": {
      "dob": "1990-10-05",
      "residential_country_code": "US",
      "residential_address": "123 sFOX Lane",
      "residential_city": "Santa Monica",
      "residential_state": "CA",
      "residential_postal_code": "90403",
      "id_type": "ssn",
      "id_number": "123121234",
      "id_country_code": "US",
      "employment_status": "full_time_employee",
      "industry": "technology_software",
      "occupation": "sales_related",
      "job_title": "Account Executive"
    }
}`)

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, payload)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Content-Type", "application/json")
  req.Header.Add("Authorization", "Bearer ${ENTERPRISE_API_KEY}")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

{% endcode %}
{% endtab %}

{% tab title="NodeJs" %}
{% code overflow="wrap" lineNumbers="true" expandable="true" %}

```javascript
//create individual end user
const axios = require('axios');
let data = JSON.stringify({
  "account_type": "individual",
  "account_role": "client",
  "user_id": "individual_customer1",
  "advisor_user_id": "business_customer1",
  "first_name": "Jane",
  "last_name": "Doe",
  "email": "janedoe@example.com",
  "phone_country_code": "US",
  "phone_number": "+19171231234",
  "account_purpose": "investing",
  "source_of_funds": "employment",
  "source_of_funds_other": null,
  "intermediary_status": false,
  "expected_transfer_volume": "250000_to_999999",
  "expected_trade_volume": "250000_to_999999",
  "individual": {
    "dob": "1990-10-05",
    "residential_country_code": "US",
    "residential_address": "123 sFOX Lane",
    "residential_city": "Santa Monica",
    "residential_state": "CA",
    "residential_postal_code": "90403",
    "id_type": "ssn",
    "id_number": "123121234",
    "id_country_code": "US",
    "employment_status": "full_time_employee",
    "industry": "technology_software",
    "occupation": "sales_related",
    "job_title": "Account Executive"
  }
});

let config = {
  method: 'post',
  maxBodyLength: Infinity,
  url: 'https://api.sfox.com/v1/enterprise/register-account',
  headers: { 
    'Content-Type': 'application/json', 
    'Authorization': 'Bearer ${ENTERPRISE_API_KEY}'
  },
  data : data
};

axios.request(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});

```

{% endcode %}
{% endtab %}
{% endtabs %}

#### Business End User

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" lineNumbers="true" expandable="true" %}

```bash
#create business end user
curl --location 'https://api.sfox.com/v1/enterprise/register-account' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer ${ENTERPRISE_API_KEY}' \
--data-raw '{
    "account_type": "corporation",
    "account_role": "client",
    "user_id": "some_unique_id",
    "advisor_user_id": null,
    "first_name": "Jane",
    "last_name": "Doe",
    "email": "janedoe@example.com",
    "phone_country_code": "US",
    "phone_number": "+19171231234",
    "account_purpose": "operating",
    "source_of_funds": "business_income",
    "source_of_funds_other": null,
    "intermediary_status": false,
    "expected_transfer_volume": "250000_to_999999",
    "expected_trade_volume": "1000000_to_9999999",
    "business": {
        "entity_name": "Example LLC",
        "organization_type": "llc",
        "registration_number": "123456789",
        "business_type": "merchant",
        "principal_place_country": "US",
        "principal_place_state": "CA",
        "principal_place_address": "1234 Flower Street",
        "principal_place_city": "Los Angeles",
        "principal_place_postal_code": "90403",
        "incorporation_country": "US",
        "incorporation_state": "WY",
        "incorporation_date": "2020-10-15",
        "description": "description of the business",
        "accredited_investor": true,
        "non_agent_intermediary": false
    },
    "beneficial_owners": [{
        "first_name": "Jane",
        "middle_name": null,
        "last_name": "Doe",
        "email": "janedoe@example.com",
        "dob": "1990-10-15",
        "phone_number": "+19171231234",
        "address_street1": "123 sFOX Lane",
        "address_city": "Santa Monica",
        "address_subdivision": "CA",
        "address_country_code": "US",
        "address_postal_code": "90403",
        "id_type": "ssn",
        "id_issuing_country": "US",
        "ssn": "123121234",      
        "employment_status": "full_time_employee",
        "industry": "technology_software",
        "occupation": "sales_related",
        "job_title": "Account Executive"
    }]
}'
```

{% endcode %}
{% endtab %}

{% tab title="Python" %}
{% code overflow="wrap" lineNumbers="true" expandable="true" %}

```python
# create business end user
import requests
import json

url = "https://api.sfox.com/v1/enterprise/register-account"

payload = json.dumps({
  "account_type": "corporation",
  "account_role": "client",
  "user_id": "some_unique_id",
  "advisor_user_id": None,
  "first_name": "Jane",
  "last_name": "Doe",
  "email": "janedoe@example.com",
  "phone_country_code": "US",
  "phone_number": "+19171231234",
  "account_purpose": "operating",
  "source_of_funds": "business_income",
  "source_of_funds_other": None,
  "intermediary_status": False,
  "expected_transfer_volume": "250000_to_999999",
  "expected_trade_volume": "1000000_to_9999999",
  "business": {
    "entity_name": "Example LLC",
    "organization_type": "llc",
    "registration_number": "123456789",
    "business_type": "merchant",
    "principal_place_country": "US",
    "principal_place_state": "CA",
    "principal_place_address": "1234 Flower Street",
    "principal_place_city": "Los Angeles",
    "principal_place_postal_code": "90403",
    "incorporation_country": "US",
    "incorporation_state": "WY",
    "incorporation_date": "2020-10-15",
    "description": "description of the business",
    "accredited_investor": True,
    "non_agent_intermediary": False
  },
  "beneficial_owners": [
    {
      "first_name": "Jane",
      "middle_name": None,
      "last_name": "Doe",
      "email": "janedoe@example.com",
      "dob": "1990-10-15",
      "phone_number": "+19171231234",
      "address_street1": "123 sFOX Lane",
      "address_city": "Santa Monica",
      "address_subdivision": "CA",
      "address_country_code": "US",
      "address_postal_code": "90403",
      "id_type": "ssn",
      "id_issuing_country": "US",
      "ssn": "123121234",
      "employment_status": "full_time_employee",
      "industry": "technology_software",
      "occupation": "sales_related",
      "job_title": "Account Executive"
    }
  ]
})
headers = {
  'Content-Type': 'application/json',
  'Authorization': 'Bearer ${ENTERPRISE_API_KEY}'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)

```

{% endcode %}
{% endtab %}

{% tab title="Javascript" %}
{% code overflow="wrap" lineNumbers="true" expandable="true" %}

```javascript
//create business end user
const myHeaders = new Headers();
myHeaders.append("Content-Type", "application/json");
myHeaders.append("Authorization", "Bearer ${ENTERPRISE_API_KEY}");

const raw = JSON.stringify({
  "account_type": "corporation",
  "account_role": "client",
  "user_id": "some_unique_id",
  "advisor_user_id": null,
  "first_name": "Jane",
  "last_name": "Doe",
  "email": "janedoe@example.com",
  "phone_country_code": "US",
  "phone_number": "+19171231234",
  "account_purpose": "operating",
  "source_of_funds": "business_income",
  "source_of_funds_other": null,
  "intermediary_status": false,
  "expected_transfer_volume": "250000_to_999999",
  "expected_trade_volume": "1000000_to_9999999",
  "business": {
    "entity_name": "Example LLC",
    "organization_type": "llc",
    "registration_number": "123456789",
    "business_type": "merchant",
    "principal_place_country": "US",
    "principal_place_state": "CA",
    "principal_place_address": "1234 Flower Street",
    "principal_place_city": "Los Angeles",
    "principal_place_postal_code": "90403",
    "incorporation_country": "US",
    "incorporation_state": "WY",
    "incorporation_date": "2020-10-15",
    "description": "description of the business",
    "accredited_investor": true,
    "non_agent_intermediary": false
  },
  "beneficial_owners": [
    {
      "first_name": "Jane",
      "middle_name": null,
      "last_name": "Doe",
      "email": "janedoe@example.com",
      "dob": "1990-10-15",
      "phone_number": "+19171231234",
      "address_street1": "123 sFOX Lane",
      "address_city": "Santa Monica",
      "address_subdivision": "CA",
      "address_country_code": "US",
      "address_postal_code": "90403",
      "id_type": "ssn",
      "id_issuing_country": "US",
      "ssn": "123121234",
      "employment_status": "full_time_employee",
      "industry": "technology_software",
      "occupation": "sales_related",
      "job_title": "Account Executive"
    }
  ]
});

const requestOptions = {
  method: "POST",
  headers: myHeaders,
  body: raw,
  redirect: "follow"
};

fetch("https://api.sfox.com/v1/enterprise/register-account", requestOptions)
  .then((response) => response.text())
  .then((result) => console.log(result))
  .catch((error) => console.error(error));
```

{% endcode %}
{% endtab %}

{% tab title="Go" %}
{% code overflow="wrap" lineNumbers="true" expandable="true" %}

```go
// create business end user
package main

import (
  "fmt"
  "strings"
  "net/http"
  "io"
)

func main() {

  url := "https://api.sfox.com/v1/enterprise/register-account"
  method := "POST"

  payload := strings.NewReader(`{
    "account_type": "corporation",
    "account_role": "client",
    "user_id": "some_unique_id",
    "advisor_user_id": null,
    "first_name": "Jane",
    "last_name": "Doe",
    "email": "janedoe@example.com",
    "phone_country_code": "US",
    "phone_number": "+19171231234",
    "account_purpose": "operating",
    "source_of_funds": "business_income",
    "source_of_funds_other": null,
    "intermediary_status": false,
    "expected_transfer_volume": "250000_to_999999",
    "expected_trade_volume": "1000000_to_9999999",
    "business": {
        "entity_name": "Example LLC",
        "organization_type": "llc",
        "registration_number": "123456789",
        "business_type": "merchant",
        "principal_place_country": "US",
        "principal_place_state": "CA",
        "principal_place_address": "1234 Flower Street",
        "principal_place_city": "Los Angeles",
        "principal_place_postal_code": "90403",
        "incorporation_country": "US",
        "incorporation_state": "WY",
        "incorporation_date": "2020-10-15",
        "description": "description of the business",
        "accredited_investor": true,
        "non_agent_intermediary": false
    },
    "beneficial_owners": [{
        "first_name": "Jane",
        "middle_name": null,
        "last_name": "Doe",
        "email": "janedoe@example.com",
        "dob": "1990-10-15",
        "phone_number": "+19171231234",
        "address_street1": "123 sFOX Lane",
        "address_city": "Santa Monica",
        "address_subdivision": "CA",
        "address_country_code": "US",
        "address_postal_code": "90403",
        "id_type": "ssn",
        "id_issuing_country": "US",
        "ssn": "123121234",      
        "employment_status": "full_time_employee",
        "industry": "technology_software",
        "occupation": "sales_related",
        "job_title": "Account Executive"
    }]
}`)

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, payload)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Content-Type", "application/json")
  req.Header.Add("Authorization", "Bearer ${ENTERPRISE_API_KEY}")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

{% endcode %}
{% endtab %}

{% tab title="NodeJs" %}
{% code overflow="wrap" lineNumbers="true" expandable="true" %}

```javascript
// create business end user
const axios = require('axios');
let data = JSON.stringify({
  "account_type": "corporation",
  "account_role": "client",
  "user_id": "some_unique_id",
  "advisor_user_id": null,
  "first_name": "Jane",
  "last_name": "Doe",
  "email": "janedoe@example.com",
  "phone_country_code": "US",
  "phone_number": "+19171231234",
  "account_purpose": "operating",
  "source_of_funds": "business_income",
  "source_of_funds_other": null,
  "intermediary_status": false,
  "expected_transfer_volume": "250000_to_999999",
  "expected_trade_volume": "1000000_to_9999999",
  "business": {
    "entity_name": "Example LLC",
    "organization_type": "llc",
    "registration_number": "123456789",
    "business_type": "merchant",
    "principal_place_country": "US",
    "principal_place_state": "CA",
    "principal_place_address": "1234 Flower Street",
    "principal_place_city": "Los Angeles",
    "principal_place_postal_code": "90403",
    "incorporation_country": "US",
    "incorporation_state": "WY",
    "incorporation_date": "2020-10-15",
    "description": "description of the business",
    "accredited_investor": true,
    "non_agent_intermediary": false
  },
  "beneficial_owners": [
    {
      "first_name": "Jane",
      "middle_name": null,
      "last_name": "Doe",
      "email": "janedoe@example.com",
      "dob": "1990-10-15",
      "phone_number": "+19171231234",
      "address_street1": "123 sFOX Lane",
      "address_city": "Santa Monica",
      "address_subdivision": "CA",
      "address_country_code": "US",
      "address_postal_code": "90403",
      "id_type": "ssn",
      "id_issuing_country": "US",
      "ssn": "123121234",
      "employment_status": "full_time_employee",
      "industry": "technology_software",
      "occupation": "sales_related",
      "job_title": "Account Executive"
    }
  ]
});

let config = {
  method: 'post',
  maxBodyLength: Infinity,
  url: 'https://api.sfox.com/v1/enterprise/register-account',
  headers: { 
    'Content-Type': 'application/json', 
    'Authorization': 'Bearer ${ENTERPRISE_API_KEY}'
  },
  data : data
};

axios.request(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});

```

{% endcode %}
{% endtab %}
{% endtabs %}

***

## Response

Response will include a `data` object with the following fields:

### Response Fields

<table data-full-width="false"><thead><tr><th width="240.41145833333331" valign="top">Field</th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top"><code>user_id</code><br>string </td><td valign="top">The shared unique identifier for the account as defined by you in the <code>user_id</code> field of <a href="#body-parameters">the request</a>.</td></tr><tr><td valign="top"><code>status</code><br>string</td><td valign="top">The verification status of the account. <br><em>Possible values:</em>  <code>Unsupported</code>, <code>Pending</code> , <code>Verified</code>  </td></tr><tr><td valign="top"><code>requirements</code><br>object</td><td valign="top">An object specifying the remaining requirements to complete account verification.</td></tr></tbody></table>

### Responses

<details>

<summary><mark style="color:green;">202:</mark> <mark style="color:green;">Accepted</mark></summary>

{% code overflow="wrap" lineNumbers="true" expandable="true" %}

```json
{
    "data": {
        "user_id": "advisor_account_1",
        "status": "Pending",
        "requirements": {
            "email": true,
            "sms": true
        }
    }
}
```

{% endcode %}

</details>

***

## Interactive Demo

{% embed url="<https://www.figma.com/proto/OcgpopQIUWqseQvANqqK1K/Connect-Registration-Prototype?mode=design&node-id=25-14237&page-id=0:1&scaling=scale-down-width&starting-point-node-id=25:14237&t=yUELdNkDgaieRVho-1&type=design&viewport=351,408,0.05>" fullWidth="false" %}
